<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.DDRS.Patrol.SigCap</name>
<version>0</version>
<engineversion>30</engineversion>
<description>Signal Captured</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$Followers&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;formation&#160;follower&#160;ships</text></line>
<line linenr="002" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$Followers</var></line>
<line linenr="003" indent="&#160;"><var>$New.Lead&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;select&#160;new&#160;formation&#160;leader&#160;by:&#160;ship&#160;class=</text><var>[TRUE]</var><text>&#160;strength=</text><var>[TRUE]</var><text>&#160;min.speed=</text><var>[FALSE]</var></line>
<line linenr="004" indent=""><var>if&#160;</var><var>$New.Lead&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="005" interruptable="@" indent="&#160;"><var>START&#160;</var><var>$New.Lead&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.Patrol.Leader</call><text>&#160;:&#160;</text></line>
<line linenr="006" indent="&#160;"><var>$Killer&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;attacker</text></line>
<line linenr="007" indent="&#160;"><var>if&#160;</var><var>$Killer&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="008" indent="&#160;&#160;"><var>$New.Lead&#160;-&gt;</var><text>&#160;set&#160;relation&#160;against&#160;</text><var>$Killer</var><text>&#160;to&#160;</text><var>Foe</var></line>
<line linenr="009" indent="&#160;&#160;"><var>$New.Lead&#160;-&gt;</var><text>&#160;send&#160;signal&#160;</text><var>SIGNAL_ATTACKED</var><text>&#160;:&#160;arg1=</text><var>$Killer</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="010" indent="&#160;"><text>end</text></line>
<line linenr="011" indent="&#160;"><var>$No.Follow&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Followers</var></line>
<line linenr="012" indent="&#160;"><var>while&#160;</var><var>$No.Follow</var></line>
<line linenr="013" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Follow&#160;=&#160;</var></line>
<line linenr="014" indent="&#160;&#160;"><var>$Ship&#160;=&#160;</var><var>$Followers</var><text>[</text><var>$No.Follow</var><text>]</text></line>
<line linenr="015" indent="&#160;&#160;"><var>if&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="016" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Ship</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$New.Lead</var></line>
<line linenr="017" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>START&#160;</var><var>$Ship&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.Patrol.Wingmen</call><text>&#160;:&#160;</text><text>&#160;Leader=</text><var>$New.Lead</var></line>
<line linenr="018" indent="&#160;&#160;"><text>end</text></line>
<line linenr="019" indent="&#160;"><text>end</text></line>
<line linenr="020" indent=""><text>end</text></line>
<line linenr="021" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'ddrs.maintarget'</var><text>&#160;value=</text><var>null</var></line>
<line linenr="022" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.DDRS.Patrol.SigCap" /><sval type="int" val="30" /><sval type="string" val="Signal Captured" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="5"><sval type="string" val="Followers" /><sval type="string" val="New.Lead" /><sval type="string" val="Killer" /><sval type="string" val="No.Follow" /><sval type="string" val="Ship" /></sval><sval type="array" size="19"><sval type="array" size="4"><sval type="int" val="559" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610611960" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="10"><sval type="int" val="530" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-1610608381" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="al.DDRS.Patrol.Leader" /><sval type="int" val="-2147483646" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="736" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-1610610429" /></sval><sval type="array" size="7"><sval type="int" val="744" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="14" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="515" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="1000" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610608375" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="-1610608637" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536866809" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="al.DDRS.Patrol.Wingmen" /><sval type="int" val="-2147483646" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="ddrs.maintarget" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
